<?xml version="1.0"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
	<configSections>
    <!--Nbear各模块定义-->
		<section name="entityConfig" type="NBear.Common.EntityConfigurationSection, NBear.Common"/>
		<section name="cacheConfig" type="NBear.Data.CacheConfigurationSection, NBear.Data"/>
		<section name="codeHighlighter" requirePermission="false" type="ActiproSoftware.CodeHighlighter.CodeHighlighterConfigurationSectionHandler, ActiproSoftware.CodeHighlighter.Net20"/>
	</configSections>
	<entityConfig>
		<includes>
      <!--数据库定义文件-->
			<add key="DbConfig" value="~/DbConfig.config"/>
		</includes>
	</entityConfig>
	<cacheConfig enable="true">
		<cachingTables>
        <!--数据库各表缓存时间设置(秒)-->
			<add key="LocalSqlServer.Lists" value="30"/>
			<add key="LocalSqlServer.Catalog" value="120"/>
			<add key="LocalSqlServer.Class" value="120"/>
			<add key="LocalSqlServer.Reply" value="30"/>
			<add key="LocalSqlServer.fav" value="30"/>
			<add key="LocalSqlServer.Msg" value="30"/>
		</cachingTables>
	</cacheConfig>
	<connectionStrings>
		<remove name="LocalSqlServer"/>
    <!--数据库连接字符串-->
    <add name="LocalSqlServer" connectionString="Server=.\SQL2005;DataBase=aspxcndb;Uid=sa;Pwd=sa;" providerName="NBear.Data.SqlServer9.SqlDbProvider9"/>
  </connectionStrings>
  <appSettings>
    <!--DotNetTextBox系统目录设置-->
		<add key="systemfolder" value="system_dntb/"/>
		<add key="skin" value="skin/xp/"/>
	</appSettings>
	<system.web>
		<sessionState mode="InProc" cookieless="false" timeout="10"/>
		<authentication mode="Forms">
			<forms name=".ASPXCNAUTH" loginUrl="default.aspx"/>
		</authentication>
		<anonymousIdentification enabled="true"/>
		<compilation defaultLanguage="C#">
			<assemblies>
				<add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
				<add assembly="System.Transactions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
				<add assembly="System.Data.OracleClient, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
				<add assembly="System.Configuration.Install, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/></assemblies></compilation>
		<membership userIsOnlineTimeWindow="10">
			<providers>
				<remove name="AspNetSqlMembershipProvider"/>
				<add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" connectionStringName="LocalSqlServer" enablePasswordRetrieval="false" enablePasswordReset="true" requiresUniqueEmail="true" applicationName="/" passwordFormat="Hashed" maxInvalidPasswordAttempts="30" passwordAttemptWindow="1" minRequiredPasswordLength="4" minRequiredNonalphanumericCharacters="0" passwordStrengthRegularExpression=".*"/>
			</providers>
		</membership>
		<urlMappings enabled="false"/>
		<httpRuntime maxRequestLength="10240" executionTimeout="3600"/>
    <!--用户信息设置-->
		<profile>
			<properties>
				<add name="homepage" defaultValue="" allowAnonymous="false"/>
				<add name="qq" defaultValue="" allowAnonymous="false"/>
				<add name="msn" defaultValue="" allowAnonymous="false"/>
				<add name="city" defaultValue="" allowAnonymous="false"/>
				<add name="country" defaultValue="" allowAnonymous="false"/>
			</properties>
		</profile>
    <!--错误转向设置-->
    <customErrors defaultRedirect="error.htm" mode="Off">
      <error statusCode="404" redirect="notfound.htm"/>
    </customErrors>
  </system.web>
  <!--在线编辑器控件代码高亮功能定义-->
	<codeHighlighter>
		<cache languageTimeout="3"/>
		<keywordLinking enabled="true" target="_blank" defaultKeywordCollectionKey="ActiproKeywords">
			<keywordCollection key="ActiproKeywords">
				<explicitKeyword tokenKey="IdentifierToken" patternValue="Actipro" url="http://www.actiprosoftware.com" caseSensitive="false"/>
				<explicitKeyword tokenKey="IdentifierToken" patternValue="CodeHighlighter" url="http://www.codehighlighter.com" caseSensitive="false"/>
			</keywordCollection>
		</keywordLinking>
		<languages>
			<language key="Assembly" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Assembly.xml"/>
			<language key="BatchFile" definitionPath="~/system_dntb/Lexers/ActiproSoftware.BatchFile.xml"/>
			<language key="C#" definitionPath="~/system_dntb/Lexers/ActiproSoftware.CSharp.xml"/>
			<language key="CSS" definitionPath="~/system_dntb/Lexers/ActiproSoftware.CSS.xml"/>
			<language key="HTML" definitionPath="~/system_dntb/Lexers/ActiproSoftware.HTML.xml"/>
			<language key="INIFile" definitionPath="~/system_dntb/Lexers/ActiproSoftware.INIFile.xml"/>
			<language key="Java" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Java.xml"/>
			<language key="JScript" definitionPath="~/system_dntb/Lexers/ActiproSoftware.JScript.xml"/>
			<language key="Lua" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Lua.xml"/>
			<language key="MSIL" definitionPath="~/system_dntb/Lexers/ActiproSoftware.MSIL.xml"/>
			<language key="Pascal" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Pascal.xml"/>
			<language key="Perl" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Perl.xml"/>
			<language key="PHP" definitionPath="~/system_dntb/Lexers/ActiproSoftware.PHP.xml"/>
			<language key="PowerShell" definitionPath="~/system_dntb/Lexers/ActiproSoftware.PowerShell.xml"/>
			<language key="Python" definitionPath="~/system_dntb/Lexers/ActiproSoftware.Python.xml"/>
			<language key="SQL" definitionPath="~/system_dntb/Lexers/ActiproSoftware.SQL.xml"/>
			<language key="VB.NET" definitionPath="~/system_dntb/Lexers/ActiproSoftware.VBDotNet.xml"/>
			<language key="VBScript" definitionPath="~/system_dntb/Lexers/ActiproSoftware.VBScript.xml"/>
			<language key="XAML" definitionPath="~/system_dntb/Lexers/ActiproSoftware.XAML.xml"/>
			<language key="XML" definitionPath="~/system_dntb/Lexers/ActiproSoftware.XML.xml"/>
		</languages>
		<lineNumberMargin foreColor="Teal" paddingCharacter=" " visible="true"/>
		<outlining enabled="true" imagesPath="~/system_dntb/OutliningIndicators/"/>
		<spacesInTabs count="4"/>
	</codeHighlighter>
</configuration>
